Bug 235357 - selinux prevents ifup of eth1.
Summary: selinux prevents ifup of eth1.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 235172
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 12:58 UTC by Daniel Walsh
Modified: 2015-12-07 08:14 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 16:38:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0544 normal SHIPPED_LIVE selinux-policy bug fix update 2007-11-08 14:16:49 UTC

Description Daniel Walsh 2007-04-05 12:58:10 UTC
+++ This bug was initially created as a clone of Bug #235172 +++

during bootup, I see this..

[   49.051000] audit(1175674532.396:4): avc:  denied  { search } for  pid=2057
comm="arping" name="/" dev=sysfs ino=1 scontext=system_u:system_r:netutils_t:s0
tcontext=system_u:object_r:sysfs_t:s0 tclass=dir
[   49.051000] audit(1175674532.397:5): avc:  denied  { search } for  pid=2057
comm="arping" name="/" dev=sysfs ino=1 scontext=system_u:system_r:netutils_t:s0
tcontext=system_u:object_r:sysfs_t:s0 tclass=dir
[   49.051000] audit(1175674532.397:6): avc:  denied  { sys_tty_config } for 
pid=2057 comm="arping" capability=26 scontext=system_u:system_r:netutils_t:s0
tcontext=system_u:system_r:netutils_t:s0 tclass=capability

and then eth1 doesn't get a dhcp lease.

-- Additional comment from dwalsh@redhat.com on 2007-04-05 08:57 EST --
Fixed in selinux-policy-2.4.6-52

Comment 1 RHEL Product and Program Management 2007-04-05 13:03:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 errata-xmlrpc 2007-11-07 16:38:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html



Note You need to log in before you can comment on or make changes to this bug.